package cn.iocoder.yudao.module.customer.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "客户联系人相关信息")
public class CustomerContactsDto {

    @ApiModelProperty(value = "客户联系人ID")
    private Long customerContactsId;

    @ApiModelProperty(value = "客户名称", required = true)
    @NotNull(message = "客户名称不能为空")
    private String customerName;

    @ApiModelProperty(value = "客户英文名称")
    @NotNull(message = "客户名称不能为空")
    private String customerNameEn;
    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称")
    private String company;
    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司英文名称")
    private String companyEn;

    @ApiModelProperty(value = "客户等级 参见字典 customer_level")
    private Integer level;

    @ApiModelProperty(value = "国家")
    private Long country;

    @ApiModelProperty(value = "跟进客服")
    private Long customerService;

    @ApiModelProperty(value = "客户id，新增客户时可为空")
    private Long customerId;

    @ApiModelProperty(value = "部门")
    private String department;

    @ApiModelProperty(value = "职位")
    private String position;

    @ApiModelProperty(value = "联系人")
    private String contactsName;

    @ApiModelProperty(value = "联系人英文")
    private String contactsNameEn;

    @ApiModelProperty(value = "社交方式")
    private Integer social;

    @ApiModelProperty(value = "社交软件号码")
    private String socialNumber;

    @ApiModelProperty(value = "电子邮箱")
    private String email;

    @ApiModelProperty(value = "默认联系人：1为默认 0为非默认")
    private Integer isDefault;

    @ApiModelProperty(value = "关联账户id")
    private Long userid;

    @ApiModelProperty(value = "关联账户名")
    private String username;

    @ApiModelProperty(value = "区号")
    private String areaCode;

    @ApiModelProperty(value = "手机号码(不带任何区号)")
    private String phoneNew;


    @ApiModelProperty(value = "是否公海客户")
    private Boolean isInOpenSea;



}
