package cn.iocoder.yudao.module.customer.vo.customerDetail;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@ApiModel("管理后台 - 客户基本信息客户报价 Response VO")
@Data
public class CustomerOfferBackVo {
    @ApiModelProperty(value = "报价单号")
    private String number;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "客户名称")
    private String consignorName;

    @ApiModelProperty(value = "目的地中文")
    private String objectiveName;

    @ApiModelProperty(value = "目的地英文")
    private String objectiveNameEn;

    @ApiModelProperty(value = "取消报价：0，特价审批中：1，草稿：2, 需求确认：3，赢单：4，输单：5，报价完成：6 跟进中：7")
    private Integer status;

    @ApiModelProperty(value = "业务员名称")
    private String businessManagerName;

    @ApiModelProperty(value = "预计结束时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date stopTime;
}
